"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getNodeMirror(rawConfig, releaseDir) {
    // This is a dynamic lookup since the 'use-node-version' option is allowed to be '<releaseDir>/<version>'
    const configKey = `node-mirror:${releaseDir}`;
    const nodeMirror = rawConfig[configKey] ?? `https://nodejs.org/download/${releaseDir}/`;
    return normalizeNodeMirror(nodeMirror);
}
exports.default = getNodeMirror;
function normalizeNodeMirror(nodeMirror) {
    return nodeMirror.endsWith('/') ? nodeMirror : `${nodeMirror}/`;
}
//# sourceMappingURL=getNodeMirror.js.map